uk.ac.starlink.votable.dom

## Class DelegatingElement

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode
  - - uk.ac.starlink.votable.dom.DelegatingElement

- All Implemented Interfaces:
    org.w3c.dom.Element, org.w3c.dom.Node
  Direct Known Subclasses:
    VOElement

      public class DelegatingElement
      extends DelegatingNode
      implements org.w3c.dom.Element

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DelegatingElement(org.w3c.dom.Element base, DelegatingDocument doc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttribute(java.lang.String name)`
    `org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)`
    `org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)`
    `java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
    `org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String name)`
    `org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)`
    `org.w3c.dom.TypeInfo` | `getSchemaTypeInfo()`
    `java.lang.String` | `getTagName()`
    `boolean` | `hasAttribute(java.lang.String name)`
    `boolean` | `hasAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
    `void` | `removeAttribute(java.lang.String name)`
    `org.w3c.dom.Attr` | `removeAttributeNode(org.w3c.dom.Attr oldAttr)`
    `void` | `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)`
    `void` | `setAttribute(java.lang.String name, java.lang.String value)`
    `org.w3c.dom.Attr` | `setAttributeNode(org.w3c.dom.Attr newAttr)`
    `org.w3c.dom.Attr` | `setAttributeNodeNS(org.w3c.dom.Attr attr)`
    `void` | `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)`
    `void` | `setIdAttribute(java.lang.String name, boolean isId)`
    `void` | `setIdAttributeNode(org.w3c.dom.Attr idAttr, boolean isId)`
    `void` | `setIdAttributeNS(java.lang.String namespaceURI, java.lang.String localName, boolean isId)`

    - ### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### DelegatingElement

          protected DelegatingElement(org.w3c.dom.Element base,
                                      DelegatingDocument doc)

  - ### Method Detail

    - #### getTagName

          public java.lang.String getTagName()

      Specified by:
        `getTagName` in interface `org.w3c.dom.Element`

    - #### getAttribute

          public java.lang.String getAttribute(java.lang.String name)

      Specified by:
        `getAttribute` in interface `org.w3c.dom.Element`

    - #### setAttribute

          public void setAttribute(java.lang.String name,
                                   java.lang.String value)

      Specified by:
        `setAttribute` in interface `org.w3c.dom.Element`

    - #### removeAttribute

          public void removeAttribute(java.lang.String name)

      Specified by:
        `removeAttribute` in interface `org.w3c.dom.Element`

    - #### getAttributeNode

          public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

      Specified by:
        `getAttributeNode` in interface `org.w3c.dom.Element`

    - #### setAttributeNode

          public org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr newAttr)

      Specified by:
        `setAttributeNode` in interface `org.w3c.dom.Element`

    - #### removeAttributeNode

          public org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr oldAttr)

      Specified by:
        `removeAttributeNode` in interface `org.w3c.dom.Element`

    - #### getElementsByTagName

          public org.w3c.dom.NodeList getElementsByTagName(java.lang.String name)

      Specified by:
        `getElementsByTagName` in interface `org.w3c.dom.Element`

    - #### getAttributeNS

          public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                                 java.lang.String localName)

      Specified by:
        `getAttributeNS` in interface `org.w3c.dom.Element`

    - #### setAttributeNS

          public void setAttributeNS(java.lang.String namespaceURI,
                                     java.lang.String qualifiedName,
                                     java.lang.String value)

      Specified by:
        `setAttributeNS` in interface `org.w3c.dom.Element`

    - #### removeAttributeNS

          public void removeAttributeNS(java.lang.String namespaceURI,
                                        java.lang.String localName)

      Specified by:
        `removeAttributeNS` in interface `org.w3c.dom.Element`

    - #### getAttributeNodeNS

          public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                                     java.lang.String localName)

      Specified by:
        `getAttributeNodeNS` in interface `org.w3c.dom.Element`

    - #### setAttributeNodeNS

          public org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr attr)

      Specified by:
        `setAttributeNodeNS` in interface `org.w3c.dom.Element`

    - #### getElementsByTagNameNS

          public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                             java.lang.String localName)

      Specified by:
        `getElementsByTagNameNS` in interface `org.w3c.dom.Element`

    - #### hasAttribute

          public boolean hasAttribute(java.lang.String name)

      Specified by:
        `hasAttribute` in interface `org.w3c.dom.Element`

    - #### hasAttributeNS

          public boolean hasAttributeNS(java.lang.String namespaceURI,
                                        java.lang.String localName)

      Specified by:
        `hasAttributeNS` in interface `org.w3c.dom.Element`

    - #### getSchemaTypeInfo

          public org.w3c.dom.TypeInfo getSchemaTypeInfo()

      Specified by:
        `getSchemaTypeInfo` in interface `org.w3c.dom.Element`

    - #### setIdAttribute

          public void setIdAttribute(java.lang.String name,
                                     boolean isId)

      Specified by:
        `setIdAttribute` in interface `org.w3c.dom.Element`

    - #### setIdAttributeNS

          public void setIdAttributeNS(java.lang.String namespaceURI,
                                       java.lang.String localName,
                                       boolean isId)

      Specified by:
        `setIdAttributeNS` in interface `org.w3c.dom.Element`

    - #### setIdAttributeNode

          public void setIdAttributeNode(org.w3c.dom.Attr idAttr,
                                         boolean isId)

      Specified by:
        `setIdAttributeNode` in interface `org.w3c.dom.Element`